#### NAME

clearopensmtp - remove old IP's added after pop authentication

#### SYNOPSYS

clearopensmtp

#### DESCRIPTION

vpopmail can be configured to allow pop users IP's to be added to the list of IP's which are allowed to relay through the smtp server. This is done with the --enable-roaming-users=y option. With this option, users IP's who authenitcate via pop are added to the list of IP's which can relay through the smtp server. The smtp server must be run with tcpserver -x filename option.

Each authenticated pop users IP is added with a time stamp. Every time clearopensmtp is run, this list is checked for time stamps which are older than the --enable-relay-clear-minutes option. The default is 360 minutes or 3 hours. Any IP with a time stamp older than this number are removed from the list.

clearopenstmp rebuilds the tcp.smtp.cdb file with the list of static IP's stored in tcp.smtp and the list of IP's in open-smtp.

#### OPTIONS

None

#### RETURN VALUE

0 if all steps were successful, non-zero otherwise.

#### SEE ALSO

`vpopmail`
`vchkpw`

#### NOTES

This program is only required when vpopmail is configured with --enable-roaming-users=y. It should be run from roots crontab ever hour.

#### AUTHOR

AUTHORS